;InnoSetupVersion=5.1.2

[Setup]
AppName=StorURL
AppVerName=StorURL 2.5 (.NET)
AppId=StorURL
AppPublisher=HazteK Software
AppPublisherURL=http://www.haztek-software.com
AppSupportURL=http://www.haztek-software.com
AppUpdatesURL=http://www.haztek-software.com
DefaultDirName={pf}\StorURL
DefaultGroupName=StorURL
OutputBaseFilename=StorURL_2.5_Install
Compression=lzma
PrivilegesRequired=none
AllowNoIcons=yes
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\StorURL.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ICSharpCode.SharpZipLib.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.txt"; DestDir: "{app}"; Flags: ignoreversion 

[INI]
FileName: "{app}\StorURL.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.haztek-software.com"; 

[Run]
Filename: "{app}\StorURL.exe"; Description: "{cm:LaunchProgram,StorURL}"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\StorURL"; Filename: "{app}\StorURL.exe"; 
Name: "{group}\{cm:ProgramOnTheWeb,StorURL}"; Filename: "{app}\StorURL.url"; 
Name: "{group}\{cm:UninstallProgram,StorURL}"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\StorURL"; Filename: "{app}\StorURL.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\StorURL"; Filename: "{app}\StorURL.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 

[UninstallDelete]
Type: files; Name: "{app}\StorURL.url"; 

[CustomMessages]
english.NameAndVersion=%1 version %2
english.AdditionalIcons=Additional icons:
english.CreateDesktopIcon=Create a &desktop icon
english.CreateQuickLaunchIcon=Create a &Quick Launch icon
english.ProgramOnTheWeb=%1 on the Web
english.UninstallProgram=Uninstall %1
english.LaunchProgram=Launch %1
english.AssocFileExtension=&Associate %1 with the %2 file extension
english.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "english"; MessagesFile: "embedded\english.isl"; 
